Download it now!
Bug 64211 - WIKIHELP: Help for the printing dialog box is missing
Summary: WIKIHELP: Help for the printing dialog box is missing
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
4.0.2.2 release
Hardware: All All
: medium normal
Assignee: Andras Timar
URL:
Whiteboard: BSA target:4.1.0 target:4.0.4
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-04 10:55 UTC by A (Andy)
Modified: 2014-02-25 13:19 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description A (Andy) 2013-05-04 10:55:43 UTC
Problem Description: 
The help information for the printing dialog box is missing.

Steps to Reproduce:
1. Open any LO component
2. Go to FILE -> PRINT
3. Select HELP

Current Behavior:
"Error/HTTP NOT FOUND.html.var" appears but no help information

Expected Behavior:
the corresponding help information should appear

reproduced with LO 4.0.2.2 (Win7 Home, 64bit, German installation with US English language settings)


Operating System: Windows 7
Version: 4.0.2.2 release
Comment 1 Jorendc 2013-05-04 20:27:52 UTC
Thanks for reporting!

I can reproduce this behavior using Linux Mint 14 x64 with LibreOffice 4.0.3.2.

Kind regards,
Joren
Comment 2 Andras Timar 2013-05-07 12:55:54 UTC
Not only Print dialog is affected. I found another example: View - Zoom - Zoom

The problem is that LibreOffice requests for example http://help.libreoffice.org/swriter/cui%2Fui%2Fzoomdialog%2Fzoomsb?Language=en-US&System=WIN&Version=4.0
 but this redirect does not exist. We need to review the redirect generation code in help to wiki converter.
Comment 3 Andras Timar 2013-05-07 14:26:30 UTC
I'm updating WikiHelp with updated redirects now...
Comment 4 Commit Notification 2013-05-07 14:29:01 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=c599d2dde1df55d8d743d4eaf3521dbb4db10361

fdo#64211 replace / to %2F in HIDs for wiki redirects



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2013-05-07 15:12:18 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=ce4a33033e5b5e9f58bb9cf2c522afedaa9b1b3e&h=libreoffice-4-0

fdo#64211 replace / to %2F in HIDs for wiki redirects


It will be available in LibreOffice 4.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Andras Timar 2013-05-07 15:17:03 UTC
It was a good idea, but it didn't work.
1. For Print dialog, LibreOffice calls http://help.libreoffice.org/simpress/vcl%2Fui%2Fprintdialog?Language=en-US&System=WIN&Version=4.0
There is no vcl/ui/printdialog HID in help! There is only <bookmark xml-lang="en-US" branch="hid/vcl/ui/printdialog/PrintDialog" id="bm_id0818200912034231" localize="false"/>
2. For Zoom dialog LibreOffice calls http://help.libreoffice.org/simpress/cui%2Fui%2Fzoomdialog%2Fzoomsb?Language=en-US&System=WIN&Version=4.0 and it does not work, however, the equivalent(?) http://help.libreoffice.org/simpress/cui/ui/zoomdialog/zoomsb?Language=en-US&System=WIN&Version=4.0 works.
Comment 7 Commit Notification 2013-05-07 20:13:13 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=34f275fe4e19877fbb12d483d7edb5adaef49bc2

fdo#64211 replace "%2F" to "/" in online (wiki) help URLs



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2013-05-08 07:29:21 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b8dd48c73c0d6978913e93af8ea8e0fae0b2c190&h=libreoffice-4-0

fdo#64211 replace "%2F" to "/" in online (wiki) help URLs


It will be available in LibreOffice 4.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 A (Andy) 2013-12-27 12:04:33 UTC
@Andras: Thank you very much for your work.

For me this bug is no longer reproducible with LO 4.1.4.2 (Win7 Home, 64bit). Does anybody has any objections against closing this issue?